## gnome-todo 3.26.1

=== meson_options.txt ===
option('enable-background-plugin', type: 'boolean', value: true, description: 'enable Run In Background plugin')
option('enable-dark-theme-plugin', type: 'boolean', value: true, description: 'enable Dark theme plugin')
option('enable-scheduled-panel-plugin', type: 'boolean', value: true, description: 'enable Scheduled Panel plugin')
option('enable-score-plugin', type: 'boolean', value: true, description: 'enable Score plugin')
option('enable-today-panel-plugin', type: 'boolean', value: true, description: 'enable Today Panel plugin')
option('enable-unscheduled-panel-plugin', type: 'boolean', value: true, description: 'enable Unscheduled Tasks Panel plugin')
option('enable-todo-txt-plugin', type: 'boolean', value: true, description: 'enable Todo.Txt plugin')
option('enable-todoist-plugin', type: 'boolean', value: true, description: 'enable Todoist plugin')
option('enable-gtk-doc', type: 'boolean', value: false, description: 'use gtk-doc to build documentation')
option('enable-introspection', type: 'boolean', value: true, description: 'Enable GObject Introspection (depends on GObject)')

## gnome-todo 3.18.1

=== debian/changelog ===
gnome-todo (3.18.1-2) unstable; urgency=medium

  * Drop incorrect Build-Depends on libgio3.0-cil-dev. (Closes: #808500)

 -- Michael Biebl <biebl@debian.org>  Sun, 20 Dec 2015 23:36:06 +0100

gnome-todo (3.18.1-1) unstable; urgency=medium

  * New upstream release 3.18.1 

 -- Hideki Yamane <henrich@debian.org>  Sat, 17 Oct 2015 13:10:41 +0900

gnome-todo (3.18.0-2) unstable; urgency=medium

  * Upload to unstable 

 -- Hideki Yamane <henrich@debian.org>  Mon, 12 Oct 2015 07:29:19 +0900

gnome-todo (3.18.0-1) experimental; urgency=low

  * Initial release 

 -- Hideki Yamane <henrich@debian.org>  Fri, 21 Aug 2015 23:45:22 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-todo
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Hideki Yamane <henrich@debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: debhelper (>= 9.0.0),
               dh-autoreconf,
               autoconf-archive,
               gnome-pkg-tools,
               intltool (>= 0.50.0),
               libglib2.0-dev (>= 2.43.4),
               libgtk-3-dev (>= 3.16.0),
               appstream-util,
               yelp-tools,
               libgoa-1.0-dev (>= 3.2.0),
               libecal1.2-dev (>= 3.13.90),
               libedataserver1.2-dev (>= 3.17.1),
               libedataserverui1.2-dev (>= 3.17.1),
               libical-dev (>= 0.43),
Standards-Version: 3.9.6
Homepage: https://wiki.gnome.org/Apps/Todo
Vcs-Git: git://anonscm.debian.org/pkg-gnome/gnome-todo.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-gnome/gnome-todo.git

Package: gnome-todo
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gsettings-desktop-schemas
Description: minimalistic personal task manager designed to fit GNOME desktop
 GNOME To Do is a simplistic personal task manager designed to perfectly fit
 the GNOME desktop. Designed from ground up to seamlessly integrate with
 the GNOME desktop environment, To Do enables you to be as productive as
 you want.

=== debian/watch ===
version=3
http://download.gnome.org/sources/gnome-todo/([\d\.]+[02468])/gnome-todo-(.*)\.tar\.xz

## gnome-todo 3.20.0

=== debian/changelog ===
gnome-todo (3.20.0-1) unstable; urgency=medium

  * New upstream release 
  * debian/control
    - use https for Vcs-* 
    - add Build-Depends: libpeas-dev (>= 1.17)
    - bump up Build-Depends: libgtk-3-dev (>= 3.19.5)
    - set Standards-Version: 3.9.8
  * debian/rules
    - add override_dh_auto_install to get rid of *.la files

 -- Hideki Yamane <henrich@debian.org>  Sat, 23 Apr 2016 00:58:26 +0900

## gnome-todo 3.20.1

=== debian/changelog ===
gnome-todo (3.20.1-1) unstable; urgency=medium

  * New upstream release 

 -- Hideki Yamane <henrich@debian.org>  Sat, 30 Apr 2016 14:58:14 +0900

## gnome-todo 3.20.2

=== debian/changelog ===
gnome-todo (3.20.2-1) unstable; urgency=medium

  * New upstream release

 -- Hideki Yamane <henrich@debian.org>  Sat, 14 May 2016 22:30:28 +0900

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                gnome-pkg-tools,
                intltool (>= 0.50.0),
                libglib2.0-dev (>= 2.43.4),
-               libgtk-3-dev (>= 3.16.0),
+               libgtk-3-dev (>= 3.19.5),
                appstream-util,
                yelp-tools,
                libgoa-1.0-dev (>= 3.2.0),
@@ -21,10 +21,11 @@
                libedataserver1.2-dev (>= 3.17.1),
                libedataserverui1.2-dev (>= 3.17.1),
                libical-dev (>= 0.43),
-Standards-Version: 3.9.6
+               libpeas-dev (>= 1.17),
+Standards-Version: 3.9.8
 Homepage: https://wiki.gnome.org/Apps/Todo
-Vcs-Git: git://anonscm.debian.org/pkg-gnome/gnome-todo.git
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-gnome/gnome-todo.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-gnome/gnome-todo.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-gnome/gnome-todo.git
 
 Package: gnome-todo
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# for gnome
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@  --with autoreconf,gnome --parallel

override_dh_autoreconf:
	dh_autoreconf
	# needs to create po/Makefile.in.in
	intltoolize --force --copy --automake || exit 1

override_dh_auto_install:
	dh_auto_install
	# get rid of "non-empty-dependency_libs-in-la-file"
	find $(CURDIR)/debian/gnome-todo -name *.la -delete

## gnome-todo 3.22.0

=== debian/changelog ===
gnome-todo (3.22.0-1) unstable; urgency=medium

  * New upstream release
    - fix crash in gtd-panel-scheduled.c on i386 (Closes: #822658)
  * debian/watch
    - use version 4 
  * debian/control.in
    - add gtk-doc-tools to deal with FTBFS due to missing gtk-doc.make
  * debian/copyright
    - remove lines for data/theme/bg.*

 -- Hideki Yamane <henrich@debian.org>  Thu, 03 Nov 2016 23:41:07 +0900

## gnome-todo 3.22.1

=== debian/changelog ===
gnome-todo (3.22.1-2) unstable; urgency=medium

  * Add evolution-data-server dependency (Closes: #858206)
    - the eds plugin is the main backing store for the application
      and that ofcourse needs evolution-data-server.

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 22 Mar 2017 09:34:47 +0100

gnome-todo (3.22.1-1) unstable; urgency=medium

  * New upstream release 
  * debian/copyright
    - remove unnecessary CC-BY-SA license

 -- Hideki Yamane <henrich@debian.org>  Thu, 22 Dec 2016 11:27:10 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Hideki Yamane <henrich@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Hideki Yamane <henrich@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 9.0.0),
                dh-autoreconf,
                autoconf-archive,
@@ -22,6 +22,7 @@
                libedataserverui1.2-dev (>= 3.17.1),
                libical-dev (>= 0.43),
                libpeas-dev (>= 1.17),
+               gtk-doc-tools,
 Standards-Version: 3.9.8
 Homepage: https://wiki.gnome.org/Apps/Todo
 Vcs-Git: https://anonscm.debian.org/git/pkg-gnome/gnome-todo.git
@@ -31,6 +32,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
+         evolution-data-server (>= 3.17.1),
          gsettings-desktop-schemas
 Description: minimalistic personal task manager designed to fit GNOME desktop
  GNOME To Do is a simplistic personal task manager designed to perfectly fit

=== debian/rules ===
--- 
+++ 
@@ -22,6 +22,7 @@
 	dh $@  --with autoreconf,gnome --parallel
 
 override_dh_autoreconf:
+	cp /usr/share/gtk-doc/data/gtk-doc.make $(CURDIR)
 	dh_autoreconf
 	# needs to create po/Makefile.in.in
 	intltoolize --force --copy --automake || exit 1

## gnome-todo 3.24.0

=== debian/changelog ===
gnome-todo (3.24.0-0ubuntu1) artful; urgency=medium

  * New upstream release
  * debian/control.in:
    - Drop obsolete Build-Depends on intltool
  * Bump debhelper compat to 10
  * debian/rules:
    - Drop manual --with autoreconf --parallel (included in compat 10)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 27 Apr 2017 12:28:53 -0400

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,12 @@
 Source: gnome-todo
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Hideki Yamane <henrich@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 9.0.0),
-               dh-autoreconf,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Hideki Yamane <henrich@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
+Build-Depends: debhelper (>= 10),
                autoconf-archive,
                gnome-pkg-tools,
-               intltool (>= 0.50.0),
                libglib2.0-dev (>= 2.43.4),
                libgtk-3-dev (>= 3.19.5),
                appstream-util,

## gnome-todo 3.24.1

=== debian/changelog ===
gnome-todo (3.24.1-0ubuntu1) artful; urgency=medium

  * New upstream release

 -- Tim Lunn <tim@feathertop.org>  Sun, 14 May 2017 10:04:02 +1000

## gnome-todo 3.24.2

=== debian/changelog ===
gnome-todo (3.24.2-1) experimental; urgency=medium

  * New upstream release 

  [Jeremy Bicha]
  * debian/control.in:
    - Drop unneeded Build-Depends on dh-autoreconf and intltool

 -- Hideki Yamane <henrich@debian.org>  Mon, 12 Jun 2017 19:27:06 +0900

gnome-todo (3.24.1-1) experimental; urgency=medium

  * New upstream release 
  * debian/{compat,control}
    - use dh10
  * debian/rules
    - remove unnecessary options with dh10
    - don't call intltoolize to avoid infinite loop

 -- Hideki Yamane <henrich@debian.org>  Sat, 03 Jun 2017 09:59:35 +0900

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,8 @@
 Source: gnome-todo
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Hideki Yamane <henrich@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Hideki Yamane <henrich@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 10),
                autoconf-archive,
                gnome-pkg-tools,

=== debian/rules ===
--- 
+++ 
@@ -19,13 +19,11 @@
 
 
 %:
-	dh $@  --with autoreconf,gnome --parallel
+	dh $@  --with gnome
 
 override_dh_autoreconf:
 	cp /usr/share/gtk-doc/data/gtk-doc.make $(CURDIR)
-	dh_autoreconf
-	# needs to create po/Makefile.in.in
-	intltoolize --force --copy --automake || exit 1
+	dh_autoreconf --as-needed
 
 override_dh_auto_install:
 	dh_auto_install

## gnome-todo 3.25.90

=== debian/changelog ===
gnome-todo (3.25.90-0ubuntu1) artful; urgency=medium

  * New upstream release
  * Build with meson
  * debian/control.in:
    - Build-depend on libjson-glib-dev

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 10 Aug 2017 23:07:49 -0400

gnome-todo (3.24.2-2) unstable; urgency=medium

  * Upload to unstable
  * debian/control.in
    - set Standards-Version: 4.0.0

 -- Hideki Yamane <henrich@debian.org>  Sun, 18 Jun 2017 19:47:46 +0900

=== debian/control ===
--- 
+++ 
@@ -5,23 +5,24 @@
 Source: gnome-todo
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Hideki Yamane <henrich@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 10),
-               autoconf-archive,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Hideki Yamane <henrich@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>
+Build-Depends: debhelper (>= 10.3),
                gnome-pkg-tools,
                libglib2.0-dev (>= 2.43.4),
-               libgtk-3-dev (>= 3.19.5),
+               libgtk-3-dev (>= 3.22.0),
                appstream-util,
-               yelp-tools,
                libgoa-1.0-dev (>= 3.2.0),
                libecal1.2-dev (>= 3.13.90),
                libedataserver1.2-dev (>= 3.17.1),
                libedataserverui1.2-dev (>= 3.17.1),
                libical-dev (>= 0.43),
+               libjson-glib-dev, 
                libpeas-dev (>= 1.17),
+               meson (>= 0.41.0),
                gtk-doc-tools,
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://wiki.gnome.org/Apps/Todo
 Vcs-Git: https://anonscm.debian.org/git/pkg-gnome/gnome-todo.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-gnome/gnome-todo.git

## gnome-todo 3.26.1

=== debian/changelog ===
gnome-todo (3.26.1-0ubuntu4) bionic; urgency=medium

  * Fix build with libical3.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 09 Dec 2017 17:06:32 +0100

gnome-todo (3.26.1-0ubuntu3) bionic; urgency=medium

  * Drop versioned build dependency on libical-dev.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 09 Dec 2017 14:21:05 +0100

gnome-todo (3.26.1-0ubuntu2) bionic; urgency=medium

  * No-change rebuild for libical soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 09 Dec 2017 11:52:04 +0000

gnome-todo (3.26.1-0ubuntu1) artful; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 08 Oct 2017 14:09:15 -0400

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Hideki Yamane <henrich@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>
+Uploaders: Hideki Yamane <henrich@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 10.3),
                gnome-pkg-tools,
                libglib2.0-dev (>= 2.43.4),
@@ -17,7 +17,7 @@
                libecal1.2-dev (>= 3.13.90),
                libedataserver1.2-dev (>= 3.17.1),
                libedataserverui1.2-dev (>= 3.17.1),
-               libical-dev (>= 0.43),
+               libical-dev,
                libjson-glib-dev, 
                libpeas-dev (>= 1.17),
                meson (>= 0.41.0),

=== debian/rules ===
--- 
+++ 
@@ -19,11 +19,7 @@
 
 
 %:
-	dh $@  --with gnome
-
-override_dh_autoreconf:
-	cp /usr/share/gtk-doc/data/gtk-doc.make $(CURDIR)
-	dh_autoreconf --as-needed
+	dh $@  --with gnome --buildsystem=meson
 
 override_dh_auto_install:
 	dh_auto_install

=== debian/watch ===
version=4
http://download.gnome.org/sources/@PACKAGE@/([\d\.]+[02468])/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@

## gnome-todo 3.26.2

=== debian/changelog ===
gnome-todo (3.26.2-2) unstable; urgency=medium

  * Bump Breaks/Replaces for package split so that Ubuntu can sync now
    (Closes: #873356)
  * Cherry-pick libical3.patch to fix build with libical 3 (Closes: #883937)

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 11 Dec 2017 15:07:10 -0500

gnome-todo (3.26.2-1) unstable; urgency=medium

  * New upstream release 
  * debian/control
    - set Standards-Version: 4.1.1
  * debian/watch
    - use https for download

 -- Hideki Yamane <henrich@debian.org>  Wed, 01 Nov 2017 20:07:48 +0900

gnome-todo (3.26.1-1) unstable; urgency=medium

  * New upstream release 

 -- Hideki Yamane <henrich@debian.org>  Fri, 22 Sep 2017 20:53:22 +0900

gnome-todo (3.26.0-1) unstable; urgency=medium

  * New upstream release 
  * debian/control
    - drop autoconf-archive and add meson to Build-Depends
    - add libjson-glib-dev to Build-Depends
  * debian/rules
    - specify --buildsystem=meson
    - remove autoreconf lines
  * debian/patches
    - drop 0001-deal-with-appstream-metadata-in-legacy-location.patch
      It's unnecessary anymore (since moved to meson build)

 -- Hideki Yamane <henrich@debian.org>  Tue, 12 Sep 2017 22:03:54 +0900

gnome-todo (3.24.2-3) experimental; urgency=medium

  * debian/patches
    - add 0001-deal-with-appstream-metadata-in-legacy-location.patch 
  * debian/{control.in,*.install}
    - split gnome-todo package to several packages

 -- Hideki Yamane <henrich@debian.org>  Fri, 28 Jul 2017 22:52:28 +0900

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-todo
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Hideki Yamane <henrich@debian.org>, Jeremy Bicha <jbicha@debian.org>
Build-Depends: debhelper (>= 10),
               meson (>= 0.41.0),
               gnome-pkg-tools,
               libglib2.0-dev (>= 2.43.4),
               libgtk-3-dev (>= 3.19.5),
               appstream-util,
               yelp-tools,
               libgoa-1.0-dev (>= 3.2.0),
               libecal1.2-dev (>= 3.13.90),
               libedataserver1.2-dev (>= 3.17.1),
               libedataserverui1.2-dev (>= 3.17.1),
               libical-dev (>= 0.43),
               libpeas-dev (>= 1.17),
               gtk-doc-tools,
               libjson-glib-dev,
Standards-Version: 4.1.1
Homepage: https://wiki.gnome.org/Apps/Todo
Vcs-Git: https://anonscm.debian.org/git/pkg-gnome/gnome-todo.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-gnome/gnome-todo.git

Package: gnome-todo
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gnome-todo-common,
         libgnome-todo (= ${binary:Version}),
         evolution-data-server (>= 3.17.1),
         gsettings-desktop-schemas
Description: minimalistic personal task manager designed to fit GNOME desktop
 GNOME To Do is a simplistic personal task manager designed to perfectly fit
 the GNOME desktop. Designed from ground up to seamlessly integrate with
 the GNOME desktop environment, To Do enables you to be as productive as
 you want.

Package: gnome-todo-common
Architecture: all
Depends: ${misc:Depends},
Breaks: gnome-todo (<< 3.26.2-2~)
Description: common files for GNOME To Do
 Library that provides GObject-based interface of GNOME To Do, simplistic
 personal task manager designed to perfectly fit the GNOME desktop.
 .
 This package contains common files.

Package: libgnome-todo
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
Breaks: gnome-todo (<< 3.26.2-2~)
Description: library data for GNOME To Do
 Library that provides GObject-based interface of GNOME To Do, simplistic
 personal task manager designed to perfectly fit the GNOME desktop.
 .
 This package contains the library files.

Package: libgnome-todo-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gir1.2-gtd-1.0 (= ${binary:Version}),
Breaks: gnome-todo (<< 3.26.2-2~)
Description: development library data for GNOME To Do
 Library that provides GObject-based interface of GNOME To Do, simplistic
 personal task manager designed to perfectly fit the GNOME desktop.
 .
 This package contains the library development files.

Package: gir1.2-gtd-1.0
Section: introspection
Architecture: any
Depends: ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
Breaks: gnome-todo (<< 3.26.2-2~)
Description: GObject introspection data for GNOME To Do
 GNOME To Do is a simplistic personal task manager designed to perfectly fit
 the GNOME desktop. Designed from ground up to seamlessly integrate with
 the GNOME desktop environment, To Do enables you to be as productive as
 you want.
 .
 This package contains introspection data for GNOME To Do.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

=== debian/rules ===
--- 
+++ 
@@ -24,4 +24,4 @@
 override_dh_auto_install:
 	dh_auto_install
 	# get rid of "non-empty-dependency_libs-in-la-file"
-	find $(CURDIR)/debian/gnome-todo -name *.la -delete
+	find $(CURDIR)/debian/ -name *.la -delete

## gnome-todo 3.28.1

=== meson_options.txt ===
option('background_plugin', type: 'boolean', value: true, description: 'enable Run In Background plugin')
option('dark_theme_plugin', type: 'boolean', value: true, description: 'enable Dark theme plugin')
option('scheduled_panel_plugin', type: 'boolean', value: true, description: 'enable Scheduled Panel plugin')
option('score_plugin', type: 'boolean', value: true, description: 'enable Score plugin')
option('today_panel_plugin', type: 'boolean', value: true, description: 'enable Today Panel plugin')
option('unscheduled_panel_plugin', type: 'boolean', value: true, description: 'enable Unscheduled Tasks Panel plugin')
option('todo_txt_plugin', type: 'boolean', value: true, description: 'enable Todo.Txt plugin')
option('todoist_plugin', type: 'boolean', value: true, description: 'enable Todoist plugin')
option('tracing', type: 'boolean', value: false, description: 'enable application tracing')
option('gtk_doc', type: 'boolean', value: false, description: 'use gtk-doc to build documentation')
option('introspection', type: 'boolean', value: true, description: 'Enable GObject Introspection (depends on GObject)')

=== debian/changelog ===
gnome-todo (3.28.1-6) unstable; urgency=medium

  * Team upload.
  * Explicitly build-dep on librest-dev (Closes: #978357)

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 31 Dec 2020 21:45:21 +0100

gnome-todo (3.28.1-5) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 30 Sep 2019 15:11:50 +0200

gnome-todo (3.28.1-4) experimental; urgency=medium

  * debian/patches/eds-*: Various backports from upstream to build with EDS
    3.33
  * debian/control: Bump to build against libecal-2.0

 -- Iain Lane <laney@debian.org>  Mon, 12 Aug 2019 21:39:48 +0100

gnome-todo (3.28.1-3) experimental; urgency=medium

  * Cherry-pick Drop-the-autoptr-definition-for-ESource.patch:
    - Fix build with evolution-data-server 3.32

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 06 Feb 2019 17:42:02 -0500

gnome-todo (3.28.1-2) unstable; urgency=medium

  * Build-Depend on debhelper-compat 12 and drop debian/compat
  * Drop obsolete Build-Depends on appstream-util and yelp-tools
  * Add -Wl,-01 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 25 Dec 2018 17:03:02 -0500

gnome-todo (3.28.1-1) unstable; urgency=medium

  * New upstream release
  * Drop obsolete dh_translations override
  * Bump Standards-Version to 4.1.4

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 11 Apr 2018 13:20:44 -0400

gnome-todo (3.28.0-1) unstable; urgency=medium

  * New upstream release
  * Move AppStream metadata to main package
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 12 Mar 2018 22:02:35 -0400

gnome-todo (3.27.90-1) experimental; urgency=medium

  * New upstream development release
  * Drop libical3.patch: Applied in new release

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 11 Feb 2018 15:26:06 -0500

gnome-todo (3.26.2-3) unstable; urgency=medium

  * Add missing Replaces from package split to ensure smooth upgrades
  * Add stricter dependency from gnome-todo to gnome-todo-common
  * Use dh_missing --fail-missing
  * Thanks Didier Roche for the above packaging suggestions
  * Update Vcs fields for migration to https://salsa.debian.org/
  * Update debian/gbp.conf for Debian GNOME conventions
  * Bump debhelper compat to 11
  * Bump Standards-Version to 4.1.3

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 22 Jan 2018 10:25:44 -0500

=== debian/control ===
--- 
+++ 
@@ -1,40 +1,41 @@
 # This file is autogenerated. DO NOT EDIT!
-# 
+#
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
 Source: gnome-todo
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Hideki Yamane <henrich@debian.org>, Jeremy Bicha <jbicha@debian.org>
-Build-Depends: debhelper (>= 10),
+Uploaders: Hideki Yamane <henrich@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>
+Build-Depends: debhelper-compat (= 12),
                meson (>= 0.41.0),
                gnome-pkg-tools,
                libglib2.0-dev (>= 2.43.4),
                libgtk-3-dev (>= 3.19.5),
-               appstream-util,
-               yelp-tools,
                libgoa-1.0-dev (>= 3.2.0),
-               libecal1.2-dev (>= 3.13.90),
-               libedataserver1.2-dev (>= 3.17.1),
-               libedataserverui1.2-dev (>= 3.17.1),
+               libecal2.0-dev (>= 3.33.4),
+               libedataserver1.2-dev (>= 3.33.4),
+               libedataserverui1.2-dev (>= 3.33.4),
                libical-dev (>= 0.43),
+               librest-dev,
                libpeas-dev (>= 1.17),
                gtk-doc-tools,
                libjson-glib-dev,
-Standards-Version: 4.1.1
+Standards-Version: 4.3.0
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-todo
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-todo.git
 Homepage: https://wiki.gnome.org/Apps/Todo
-Vcs-Git: https://anonscm.debian.org/git/pkg-gnome/gnome-todo.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-gnome/gnome-todo.git
 
 Package: gnome-todo
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         gnome-todo-common,
+         gnome-todo-common (>= ${source:Version}),
          libgnome-todo (= ${binary:Version}),
          evolution-data-server (>= 3.17.1),
          gsettings-desktop-schemas
+Breaks: gnome-todo-common (<< 3.28)
+Replaces: gnome-todo-common (<< 3.28)
 Description: minimalistic personal task manager designed to fit GNOME desktop
  GNOME To Do is a simplistic personal task manager designed to perfectly fit
  the GNOME desktop. Designed from ground up to seamlessly integrate with
@@ -45,6 +46,7 @@
 Architecture: all
 Depends: ${misc:Depends},
 Breaks: gnome-todo (<< 3.26.2-2~)
+Replaces: gnome-todo (<< 3.26.2-2~)
 Description: common files for GNOME To Do
  Library that provides GObject-based interface of GNOME To Do, simplistic
  personal task manager designed to perfectly fit the GNOME desktop.
@@ -57,6 +59,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
 Breaks: gnome-todo (<< 3.26.2-2~)
+Replaces: gnome-todo (<< 3.26.2-2~)
 Description: library data for GNOME To Do
  Library that provides GObject-based interface of GNOME To Do, simplistic
  personal task manager designed to perfectly fit the GNOME desktop.
@@ -70,6 +73,7 @@
          ${misc:Depends},
          gir1.2-gtd-1.0 (= ${binary:Version}),
 Breaks: gnome-todo (<< 3.26.2-2~)
+Replaces: gnome-todo (<< 3.26.2-2~)
 Description: development library data for GNOME To Do
  Library that provides GObject-based interface of GNOME To Do, simplistic
  personal task manager designed to perfectly fit the GNOME desktop.
@@ -83,6 +87,7 @@
          ${shlibs:Depends},
          ${misc:Depends},
 Breaks: gnome-todo (<< 3.26.2-2~)
+Replaces: gnome-todo (<< 3.26.2-2~)
 Description: GObject introspection data for GNOME To Do
  GNOME To Do is a simplistic personal task manager designed to perfectly fit
  the GNOME desktop. Designed from ground up to seamlessly integrate with

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

%:
	dh $@  --with gnome

override_dh_missing:
	dh_missing --fail-missing

=== debian/watch ===
version=4
https://download.gnome.org/sources/@PACKAGE@/([\d\.]+[02468])/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@

## gnome-todo 41.0

=== meson_options.txt ===
option('introspection', type: 'boolean', value: true, description: 'Enable GObject Introspection (depends on GObject)')
option('tracing', type: 'boolean', value: false, description: 'Enable application tracing')
option('profile', type: 'combo', choices: ['default', 'development'], value: 'default', description: 'Build profiles')


# Plugins
option('todo_txt_plugin', type: 'boolean', value: false, description: 'Enable Todo.Txt plugin')
option('todoist_plugin', type: 'boolean', value: false, description: 'Enable Todoist plugin')
option('unscheduled_panel_plugin', type: 'boolean', value: true, description: 'Enable Unscheduled Tasks Panel plugin')

=== debian/changelog ===
gnome-todo (41.0-3) unstable; urgency=medium

  * debian/control.in: Drop unused librest-dev Build-Depends
  * debian/control.in: Bump Standards-Version to 4.6.1
  * Release to unstable (Closes: #1005536)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 18 Aug 2022 12:43:13 -0400

gnome-todo (41.0-1) experimental; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * Switch from gtk3 to gtk4 and libadwaita
  * debian/control.in: Bump minimum glib & meson.
  * debian/control.in: Build-Depend on itstool
  * Build-Depend on libportal-gtk4-dev for background plugin
  * Build-Depend on dh-sequence-gnome
  * debian/gnome-todo-common.install: Install help files
  * Drop obsolete libgnome-todo (Closes: #883961)
  * Drop all existing patches: applied in new release
  * Add patch to compile gsettings schemas for build tests
  * Cherry-pick patches to fix libportal includes and update
    libadwaita support

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13
  * Set upstream metadata fields:
    Bug-Database, Bug-Submit, Contact, Repository, Repository-Browse.
  * Update standards version to 4.5.1, no changes needed.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.
  * Apply multi-arch hints. + gir1.2-gtd-1.0, libgnome-todo-dev:
    Add Multi-Arch: same.

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 16 Jan 2022 18:24:39 -0500

=== debian/control ===
--- 
+++ 
@@ -6,22 +6,24 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Hideki Yamane <henrich@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>
-Build-Depends: debhelper-compat (= 12),
-               meson (>= 0.41.0),
-               gnome-pkg-tools,
-               libglib2.0-dev (>= 2.43.4),
-               libgtk-3-dev (>= 3.19.5),
+Uploaders: Hideki Yamane <henrich@debian.org>, Iain Lane <laney@debian.org>
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-gnome,
+               meson (>= 0.53.0),
+               itstool,
+               libadwaita-1-dev (>= 1.0.0),
+               libglib2.0-dev (>= 2.58.0),
+               libgtk-4-dev (>= 3.92.0),
                libgoa-1.0-dev (>= 3.2.0),
                libecal2.0-dev (>= 3.33.4),
                libedataserver1.2-dev (>= 3.33.4),
                libedataserverui1.2-dev (>= 3.33.4),
                libical-dev (>= 0.43),
-               librest-dev,
                libpeas-dev (>= 1.17),
+               libportal-gtk4-dev,
                gtk-doc-tools,
                libjson-glib-dev,
-Standards-Version: 4.3.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-todo
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-todo.git
 Homepage: https://wiki.gnome.org/Apps/Todo
@@ -31,7 +33,6 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          gnome-todo-common (>= ${source:Version}),
-         libgnome-todo (= ${binary:Version}),
          evolution-data-server (>= 3.17.1),
          gsettings-desktop-schemas
 Breaks: gnome-todo-common (<< 3.28)
@@ -53,22 +54,10 @@
  .
  This package contains common files.
 
-Package: libgnome-todo
-Section: libs
-Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-Breaks: gnome-todo (<< 3.26.2-2~)
-Replaces: gnome-todo (<< 3.26.2-2~)
-Description: library data for GNOME To Do
- Library that provides GObject-based interface of GNOME To Do, simplistic
- personal task manager designed to perfectly fit the GNOME desktop.
- .
- This package contains the library files.
-
 Package: libgnome-todo-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          gir1.2-gtd-1.0 (= ${binary:Version}),
@@ -83,6 +72,7 @@
 Package: gir1.2-gtd-1.0
 Section: introspection
 Architecture: any
+Multi-Arch: same
 Depends: ${gir:Depends},
          ${shlibs:Depends},
          ${misc:Depends},
